Subject: Ticket Assigned - Complaint! - 6454773418
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jan 2020 03:03:17 +0000

Hi Fauzan Musalman,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint! - 6454773418 Dear Centerpoint Support,

On the 29th of November, I made an order on centerpoint application ( No. 6454773418) which included 6 items. On 8th of December , I received one box from the shipping company which included 5 items out of the 6. The item that was not delivered is the Juniors Coral Rocket with canopy. I called the shipping company to follow up with the delivery of my last item but they said that they only received one box under my name. I called Centerpoint customer service on this number 0115202585 and they said they will check with the storage and get back to me. I emphasized that they get back to me as they never do . From the 8th of December Until the 21st I was calling the customer service almost everyday just to know whether my order was going to be delivered or a refund would be issued for the item. Every time I speak to the customer service they keep saying a request was raised on this item and promise me that it will be resolved immediately. Bear in mind that multiple tickets have been raised on this item. However nothing ends up happening! On the 19th of December ,I asked to speak to someone from the management as I was fed up with the customer service team and I was transferred to a guy who I don’t remember his name and as usual I explained to him my whole experience and he promised that a refund will be made for this order.On the next day, I wrote a review to centerpoint email about the items that I ordered. On Saturday( 21st October) I received a call from centerpoint and the lady that called introduced herself as Ruba she reconfirmed that I will be receiving a refund for that item and also I told her that I was returning one of the items on that day (which I did)and she changed its status on the application. I received an email on the same day from support@centerpoint on my review however I did not reply as I thought that my issue was finally resolved which I was wrong about.Two days ago I recieved the refund for the item that I returned on the 21st  of December and until today I haven’t received any refund for the item that was not delivered  since the 8th!!! As a big company I am sure that there are the appropriate systems that can resolve such issues instantly. It’s been almost 20 days that I am trying to get my refund! Also , as the customer service team represents centerpoint how can they make promises and at the end nothing happens!! 
I am sending this complaint  to the landmark group & centerpoint support as I don’t want to deal with the customer service anymore . I am extremely frustrated and disappointed with this experience!! By far this is my worst experience with any online store. I hope this issue gets resolved in the nearest time and I get my refund.

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/368220